package com.microsoft.office.ui.controls.inputpanel


/**
 * A type of InputPanelStateScanner, where it holds the previous inputPanelState for reference and
 * whenever a new inputPanel state comes, it verifies if the incoming state is a unique state
 * if unique, it returns the state back else it returns null
 */
class DistinctScanner : IInputStateScanner {

    private var previousState: Int? = null

    override fun scan(state: Int): Int? {

        return when {
            previousState == null || previousState != state -> {
                previousState = state
                state
            }
            else -> {
                previousState = state
                null
            }
        }
    }

}