package com.microsoft.office.ui.controls.inputpanel


/**
 * Class responsible for registration and unRegistration  of InputPanelListeners
 * from various clients
 */
interface IInputPanelRegistry {

    /**
     * registers a new IInputPanelListener
     * @param listener
     */
    fun register(listener: IInputPanelListener)

    /**
     * unregisters the incoming inputPanelListener, if present
     * @param listener
     */
    fun unRegister(listener: IInputPanelListener)

    /**
     * provides the list of all the registered InputPanelListeners
     */
    fun listeners(): List<IInputPanelListener>
}