package com.microsoft.office.ui.controls.inputpanel

import com.microsoft.office.util.FeatureGateUtils

object InputPanelFactory {
    private var instance: IInputPanelStateController? = null

    fun getInstance(view: IInputPanelView): IInputPanelStateController {
        if (instance == null) {
            initializeInputPanelStateController(view)
        }
        return instance!!
    }

    private fun initializeInputPanelStateController(view: IInputPanelView) {
        val registry = InputPanelRegistry()
        val scanner = DistinctScanner()
        instance = if (FeatureGateUtils.isInputPanelTranslateEnabled()) {
            InputPanelStateController(registry, scanner, view)
        } else {
            AnimationRestrainedStateController(registry, scanner, view)
        }

    }
}
