package com.microsoft.office.ui.controls.inputpanel

class InputPanelRegistry : IInputPanelRegistry {

    private val listeners: MutableList<IInputPanelListener> = mutableListOf()

    override fun register(listener: IInputPanelListener) {
        if (!listeners.contains(listener)) {
            listeners.add(listener)
        }
    }

    override fun unRegister(listener: IInputPanelListener) {
        listeners.remove(listener)
    }

    override fun listeners(): List<IInputPanelListener> {
        return listeners
    }
}